box: golang
build:
  steps:
    - setup-go-workspace
    - script:
        name: go version
        code: go version
    - script:
        name: install tools
        code: |
          go get github.com/mattn/goveralls
          go get github.com/golangci/golangci-lint/cmd/golangci-lint
    - script:
        name: go get
        code: |
          go get ./...
    - script:
        name: go build
        code: |
          go build ./...
    - script:
        name: golangci-lint
        code: |
          golangci-lint run
    - script:
        name: go test
        code: |
          go test ./...
    - script:
        name: coveralls
        code: |
          goveralls -v -service wercker.com -repotoken $COVERALLS_TOKEN

